Skip to content

Get Wire

Request

Security
HTTPBearer
Path
wire_idstring, (uuid)(Wire Id)required
Query
customer_idstring or null(Customer Id)
Any of:
string (uuid)
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/wires/{wire_id}/?customer_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required
statusstring(Status)required

The status of the wire transfer: PENDING, SUCCESS, or REJECTED.

Enum:"PENDING""SUCCESS""REJECTED"
amountobject(Amount)required
pocket_idstring, (uuid)(Pocket Id)required

Also known as jiko_account_id

time_createdstring, (date-time)(Time Created)required
wire_tracking_infoWireTrackingInfo (object) or null
Any of:

Identifiers carried on the wire's ISO 20022 message.

uetr and imad are network identifiers, assigned as the payment moves through the clearing network. instruction_identification and end_to_end_identification are party-assigned references from the message's payment identification (PmtId).

directionstring(Direction)
Default:"INCOMING"
Enum:"INCOMING""OUTGOING"
Discriminator
Value:"INCOMING"
object_typestring(Object Type)read-onlyrequired
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "PENDING", "amount": { "value": 0, "currency": "string", "formatted": "" }, "pocket_id": "b88a2887-96aa-45d6-8252-451370ee2257", "time_created": "2019-08-24T14:15:22Z", "wire_tracking_info": { "uetr": "string", "imad": "string", "instruction_identification": "string", "end_to_end_identification": "string" }, "direction": "INCOMING", "object_type": "string" }